ColumnFamilyRecordReader (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.hadoop

## Class ColumnFamilyRecordReader

- java.lang.Object
- - org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,ColumnFamilyRecordReader.Column>>
  - - org.apache.cassandra.hadoop.ColumnFamilyRecordReader

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, org.apache.hadoop.mapred.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,ColumnFamilyRecordReader.Column>>

  Deprecated.

      @Deprecated
      public class ColumnFamilyRecordReader
      extends org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,ColumnFamilyRecordReader.Column>>
      implements org.apache.hadoop.mapred.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,ColumnFamilyRecordReader.Column>>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ColumnFamilyRecordReader.Column` Deprecated.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CASSANDRA_HADOOP_MAX_KEY_SIZE_DEFAULT` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnFamilyRecordReader()` Deprecated.
    `ColumnFamilyRecordReader(int keyBufferSize)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Deprecated.
    `java.nio.ByteBuffer` | `createKey()` Deprecated.
    `java.util.SortedMap<java.nio.ByteBuffer,ColumnFamilyRecordReader.Column>` | `createValue()` Deprecated.
    `java.nio.ByteBuffer` | `getCurrentKey()` Deprecated.
    `java.util.SortedMap<java.nio.ByteBuffer,ColumnFamilyRecordReader.Column>` | `getCurrentValue()` Deprecated.
    `long` | `getPos()` Deprecated.
    `float` | `getProgress()` Deprecated.
    `void` | `initialize(org.apache.hadoop.mapreduce.InputSplit split, org.apache.hadoop.mapreduce.TaskAttemptContext context)` Deprecated.
    `boolean` | `next(java.nio.ByteBuffer key, java.util.SortedMap<java.nio.ByteBuffer,ColumnFamilyRecordReader.Column> value)` Deprecated.
    `boolean` | `nextKeyValue()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CASSANDRA_HADOOP_MAX_KEY_SIZE_DEFAULT

          public static final int CASSANDRA_HADOOP_MAX_KEY_SIZE_DEFAULT

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ColumnFamilyRecordReader

          public ColumnFamilyRecordReader()

      Deprecated.

    - #### ColumnFamilyRecordReader

          public ColumnFamilyRecordReader(int keyBufferSize)

      Deprecated.

  - ### Method Detail

    - #### close

          public void close()

      Deprecated.
      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `org.apache.hadoop.mapred.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,ColumnFamilyRecordReader.Column>>`
      Specified by:
        `close` in class `org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,ColumnFamilyRecordReader.Column>>`

    - #### getCurrentKey

          public java.nio.ByteBuffer getCurrentKey()

      Deprecated.
      Specified by:
        `getCurrentKey` in class `org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,ColumnFamilyRecordReader.Column>>`

    - #### getCurrentValue

          public java.util.SortedMap<java.nio.ByteBuffer,ColumnFamilyRecordReader.Column> getCurrentValue()

      Deprecated.
      Specified by:
        `getCurrentValue` in class `org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,ColumnFamilyRecordReader.Column>>`

    - #### getProgress

          public float getProgress()

      Deprecated.
      Specified by:
        `getProgress` in interface `org.apache.hadoop.mapred.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,ColumnFamilyRecordReader.Column>>`
      Specified by:
        `getProgress` in class `org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,ColumnFamilyRecordReader.Column>>`

    - #### initialize

          public void initialize(org.apache.hadoop.mapreduce.InputSplit split,
                                 org.apache.hadoop.mapreduce.TaskAttemptContext context)
                          throws java.io.IOException

      Deprecated.
      Specified by:
        `initialize` in class `org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,ColumnFamilyRecordReader.Column>>`
      Throws:
        `java.io.IOException`

    - #### nextKeyValue

          public boolean nextKeyValue()
                               throws java.io.IOException

      Deprecated.
      Specified by:
        `nextKeyValue` in class `org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,ColumnFamilyRecordReader.Column>>`
      Throws:
        `java.io.IOException`

    - #### next

          public boolean next(java.nio.ByteBuffer key,
                              java.util.SortedMap<java.nio.ByteBuffer,ColumnFamilyRecordReader.Column> value)
                       throws java.io.IOException

      Deprecated.
      Specified by:
        `next` in interface `org.apache.hadoop.mapred.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,ColumnFamilyRecordReader.Column>>`
      Throws:
        `java.io.IOException`

    - #### createKey

          public java.nio.ByteBuffer createKey()

      Deprecated.
      Specified by:
        `createKey` in interface `org.apache.hadoop.mapred.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,ColumnFamilyRecordReader.Column>>`

    - #### createValue

          public java.util.SortedMap<java.nio.ByteBuffer,ColumnFamilyRecordReader.Column> createValue()

      Deprecated.
      Specified by:
        `createValue` in interface `org.apache.hadoop.mapred.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,ColumnFamilyRecordReader.Column>>`

    - #### getPos

          public long getPos()
                      throws java.io.IOException

      Deprecated.
      Specified by:
        `getPos` in interface `org.apache.hadoop.mapred.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,ColumnFamilyRecordReader.Column>>`
      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation